Subject: avoiding ‘check-recursive’

From: Thien-Thi Nguyen <[email-masked]>
Date: Sun, 11 Nov 2012 08:24:37 +0100

In GNU Serveez, there are many subdirectories, but only one (test/)
that supports "make check" (w/ var ‘TESTS’ et al).  Thus, top-level
invocation of "make check" needlessly recurses, a grating annoyance.

I'd thought to arrange for top-level "make check" to simply redirect
into test/ by using ‘check-local’, but that failed.  Please see:

http://git.savannah.gnu.org/cgit/serveez.git/commit?id=f504730d3f

for details and the suboptimal workaround.  Am i missing something?

-- 
Thien-Thi Nguyen ..................................... GPG key: 4C807502
.                  NB: ttn at glug dot org is not me                   .
.                 (and has not been since 2007 or so)                  .
.                        ACCEPT NO SUBSTITUTES                         .
........... please send technical questions to mailing lists ...........